Subject: bug#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes

From: Ludovic Courtès <[email-masked]>
Date: Fri, 27 Dec 2019 19:08:48 +0100

Hi!

Danny Milosavljevic <[email-masked]> skribis:

> On Mon, 11 Nov 2019 21:42:24 +0100
> Ludovic Courtès <[email-masked]> wrote:
>
>> Also, it would be great if you could identify which derivation build
>> requires that much memory, if this was happening sequentially.  (I
>> suspect “guix-packages.drv” is the one that eats up the most memory.)
>
> How do I do that?

You could look at the output of “guix processes” and find out which
session child process is consuming memory.

> I've attached the process tree, filtered by "grep guix", of the latest such
> occurence (if this E-Mail still makes it before I have no memory left :P).

AFAICS this excludes the actual build process (which runs “guile”, not
“guix”).

HTH!

Ludo’.